// This is the program that will be used to evaluate your Fibonacci class
//
// Description: FibSequence class will be an instantiable class that produces
// a fib sequence upto to a stopping condition (stopNumber).  There are two
// constructors: 1) default does not set the stopping condition so you may select
// a default condition (e.g. 100) and 2) accepts stopping condition, sets the 
// data member stopNumber.  The method displayFibSequence will display the sequence
// upto the stopping number on the screen, either a dialog window (JOptionPane) or 
// standard terminal (System.out.print).  Before you generate and display the sequence
// make sure that the stopNumber is valid (i.e. stopNumber > 0).
//
//
//
// Your class should contain the following
// Class Name: FibSequence
// Constructor: FibSequence()
// Constructor: FibSequence( int stop )
// Data Members: 
//	int maxFibSeqNumber - the largest fibonacci
// 	int numOfFibSequence - how many fibonacci numbers in the sequence
//	int stopNumber - the number not to exceed in generating the fib sequence
// Extra credit: store the fib sequence in an array called fibSequence
//  int fibSequence[] 

// Accessors for data members
//	int getMaxFibSeqNumber ( )
//	int	getNumOfFibSequence( )
//	int getStopNumber( ) 
// Extra credit: accessor for int array that stores fibSequence

// Mutators for data members
//	void setMaxFibSeqNumber(int s)
//	void setNumOfFibSequence(int s)
//	void setStopNumber(int s)

// Other Methods
// void displayFibSequence(int d): display the sequence using JOptionPane.
//			showMessageDialogue when d == 1.  For any other value of d (the passed
//			in parameter display to the terminal screen (std out).
// boolean equals( FibSequence f ): return true if this.stopNumber == f.stopNumber
//			all else returns false.			

//import classes needed
import javax.swing.*;

public class FibMain {
	
	public static void main( String args [] ){
		
		FibMain fib1, fib2;
		fib1 = new FibMain();
		fib2 = new FibMain(120);
		
		String s = JOptionPane.showInputDialog(null,"Enter stopping number: ");
		int stop1 = Integer.parseInt( s );
		
		fib1.setStopNumber(stop1);
		
		fib1.displayFibSequence(1); //Display using dialog
		fib2.setStopNumber( -100 ); 
		fib2.displayFibSequence(0); //Display to terminal window
		
		fib2.setStopNumber(120);
		
		System.out.print(" Fib1 max =" + fib1.getMaxFibSequence() + 
						 "\nFibl sequence count = " + fib1.getNumOfFibSequence() +
						 "\nFib1 stop number = " + fib1.getStopNumber() );
						 
		if( fib2.equals( fib1 ))
			System.out.println(" They are equal ");
			else 
		System.out.println(" They are NOT equal ");
			
	}
}			
